Intermittent /fetch/api/redirect/redirect-schemes.html,/XMLHttpRequest/send-redirect-bogus.htm | application crashed [@ MOZ_CrashOOL]

RESOLVED FIXED in Firefox 56

Status

()

Core
Networking: HTTP
P5
critical
RESOLVED FIXED
a year ago
11 months ago

People

(Reporter: Treeherder Bug Filer, Assigned: schien)

Tracking

({crash, intermittent-failure})

unspecified
mozilla57
crash, intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(firefox-esr52 unaffected, firefox55 unaffected, firefox56 fixed, firefox57 fixed)

Details

(Whiteboard: [necko-active][PBg-HTTP-M4], crash signature)

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

AFAICT this is the network code releasing the channel on a SocketTransportService thread for some reason.  Do you have any ideas Valentin?

[task 2017-08-03T13:56:34.826946Z] 13:56:34     INFO -  0  firefox!MOZ_CrashOOL [Assertions.cpp:099cfd49075f : 33 + 0x0]
[task 2017-08-03T13:56:34.827020Z] 13:56:34     INFO -     rax = 0x00000000006278c0   rdx = 0x0000000000000000
[task 2017-08-03T13:56:34.827154Z] 13:56:34     INFO -     rcx = 0xffffffffffffffff   rbx = 0x00007f93e6868034
[task 2017-08-03T13:56:34.827212Z] 13:56:34     INFO -     rsi = 0x00007f93f2fc1770   rdi = 0x00007f93f2fc0540
[task 2017-08-03T13:56:34.827264Z] 13:56:34     INFO -     rbp = 0x00007f93d9df4ff0   rsp = 0x00007f93d9df4fe0
[task 2017-08-03T13:56:34.827418Z] 13:56:34     INFO -      r8 = 0x00007f93f2fc1770    r9 = 0x00007f93d9df6700
[task 2017-08-03T13:56:34.827476Z] 13:56:34     INFO -     r10 = 0x0000000000000058   r11 = 0x00007f93f2c697a0
[task 2017-08-03T13:56:34.827604Z] 13:56:34     INFO -     r12 = 0x0000000000000000   r13 = 0x00007f93c5e72868
[task 2017-08-03T13:56:34.827658Z] 13:56:34     INFO -     r14 = 0x00007f93d9df5180   r15 = 0x00007f93d9df56bf
[task 2017-08-03T13:56:34.827733Z] 13:56:34     INFO -     rip = 0x000000000040599c
[task 2017-08-03T13:56:34.827794Z] 13:56:34     INFO -     Found by: given as instruction pointer in context
[task 2017-08-03T13:56:34.827863Z] 13:56:34     INFO -  1  libxul.so!nsAutoOwningThread::AssertCurrentThreadOwnsMe [nsISupportsImpl.cpp:099cfd49075f : 43 + 0x14]
[task 2017-08-03T13:56:34.827952Z] 13:56:34     INFO -     rbx = 0x00007f93e6868034   rbp = 0x00007f93d9df5010
[task 2017-08-03T13:56:34.828005Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5000   r12 = 0x0000000000000000
[task 2017-08-03T13:56:34.828109Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.828172Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e20d7a4c
[task 2017-08-03T13:56:34.828223Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.828399Z] 13:56:34     INFO -  2  libxul.so!mozilla::net::LoadInfo::Release [nsISupportsImpl.h:099cfd49075f : 69 + 0xc]
[task 2017-08-03T13:56:34.828454Z] 13:56:34     INFO -     rbx = 0x00007f93c4829a50   rbp = 0x00007f93d9df5030
[task 2017-08-03T13:56:34.828542Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5020   r12 = 0x0000000000000000
[task 2017-08-03T13:56:34.828596Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.828680Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e21a4adf
[task 2017-08-03T13:56:34.828726Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.829302Z] 13:56:34     INFO -  3  libxul.so!nsExtProtocolChannel::~nsExtProtocolChannel [nsExternalProtocolHandler.cpp:099cfd49075f : 101 + 0x2d]
[task 2017-08-03T13:56:34.829517Z] 13:56:34     INFO -     rbx = 0x00007f93c5bb0860   rbp = 0x00007f93d9df5050
[task 2017-08-03T13:56:34.829959Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5040   r12 = 0x0000000000000000
[task 2017-08-03T13:56:34.830497Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.831161Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e28ffab3
[task 2017-08-03T13:56:34.831507Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.832201Z] 13:56:34     INFO -  4  libxul.so!nsExtProtocolChannel::~nsExtProtocolChannel [nsExternalProtocolHandler.cpp:099cfd49075f : 102 + 0x5]
[task 2017-08-03T13:56:34.832690Z] 13:56:34     INFO -     rbx = 0x00007f93c5bb0860   rbp = 0x00007f93d9df5070
[task 2017-08-03T13:56:34.832993Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5060   r12 = 0x0000000000000000
[task 2017-08-03T13:56:34.833528Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.834225Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e28ffae8
[task 2017-08-03T13:56:34.834678Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.834919Z] 13:56:34     INFO -  5  libxul.so!nsExtProtocolChannel::Release [nsExternalProtocolHandler.cpp:099cfd49075f : 77 + 0xc]
[task 2017-08-03T13:56:34.835430Z] 13:56:34     INFO -     rbx = 0x00007f93c5bb0860   rbp = 0x00007f93d9df5090
[task 2017-08-03T13:56:34.835936Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5080   r12 = 0x0000000000000000
[task 2017-08-03T13:56:34.836264Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.836771Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e28fe5a9
[task 2017-08-03T13:56:34.837051Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.837730Z] 13:56:34     INFO -  6  libxul.so!mozilla::net::HttpChannelChild::~HttpChannelChild [nsCOMPtr.h:099cfd49075f : 404 + 0x6]
[task 2017-08-03T13:56:34.838230Z] 13:56:34     INFO -     rbx = 0x00007f93c5e72800   rbp = 0x00007f93d9df50b0
[task 2017-08-03T13:56:34.838548Z] 13:56:34     INFO -     rsp = 0x00007f93d9df50a0   r12 = 0x00007f93c5e72800
[task 2017-08-03T13:56:34.839212Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.839724Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e24079b3
[task 2017-08-03T13:56:34.839983Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.840468Z] 13:56:34     INFO -  7  libxul.so!mozilla::net::HttpChannelChild::~HttpChannelChild [HttpChannelChild.cpp:099cfd49075f : 214 + 0x5]
[task 2017-08-03T13:56:34.841052Z] 13:56:34     INFO -     rbx = 0x00007f93c5e72800   rbp = 0x00007f93d9df50d0
[task 2017-08-03T13:56:34.841525Z] 13:56:34     INFO -     rsp = 0x00007f93d9df50c0   r12 = 0x00007f93c5e72800
[task 2017-08-03T13:56:34.841852Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.842535Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e2407a1c
[task 2017-08-03T13:56:34.842991Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.843316Z] 13:56:34     INFO -  8  libxul.so!mozilla::net::HttpChannelChild::Release [HttpChannelChild.cpp:099cfd49075f : 256 + 0x8]
[task 2017-08-03T13:56:34.843996Z] 13:56:34     INFO -     rbx = 0x0000000000000000   rbp = 0x00007f93d9df5100
[task 2017-08-03T13:56:34.844351Z] 13:56:34     INFO -     rsp = 0x00007f93d9df50e0   r12 = 0x00007f93c5e72800
[task 2017-08-03T13:56:34.844689Z] 13:56:34     INFO -     r13 = 0x00007f93c5e72868   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.845064Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e2407aeb
[task 2017-08-03T13:56:34.845392Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.846121Z] 13:56:34     INFO -  9  libxul.so!mozilla::net::HttpBackgroundChannelChild::OnChannelClosed [RefPtr.h:099cfd49075f : 40 + 0x5]
[task 2017-08-03T13:56:34.846390Z] 13:56:34     INFO -     rbx = 0x00007f93c5c2ea10   rbp = 0x00007f93d9df5120
[task 2017-08-03T13:56:34.847242Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5110   r12 = 0x00007f93d9df5288
[task 2017-08-03T13:56:34.847643Z] 13:56:34     INFO -     r13 = 0x00007f93d9df5228   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.847934Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e23d9975
[task 2017-08-03T13:56:34.848326Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.849097Z] 13:56:34     INFO - 10  libxul.so!mozilla::detail::RunnableMethodImpl<RefPtr<mozilla::net::HttpBackgroundChannelChild>, void (mozilla::net::HttpBackgroundChannelChild::*)(), true, (mozilla::RunnableKind)0u>::Run [nsThreadUtils.h:099cfd49075f : 1122 + 0x18]
[task 2017-08-03T13:56:34.849297Z] 13:56:34     INFO -     rbx = 0x00007f93dc385400   rbp = 0x00007f93d9df5130
[task 2017-08-03T13:56:34.849744Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5130   r12 = 0x00007f93d9df5288
[task 2017-08-03T13:56:34.850366Z] 13:56:34     INFO -     r13 = 0x00007f93d9df5228   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.850748Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e23dda4f
[task 2017-08-03T13:56:34.851032Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.851415Z] 13:56:34     INFO - 11  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:099cfd49075f : 1446 + 0x11]
[task 2017-08-03T13:56:34.852000Z] 13:56:34     INFO -     rbx = 0x00007f93dc385400   rbp = 0x00007f93d9df56a0
[task 2017-08-03T13:56:34.852482Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5140   r12 = 0x00007f93d9df5288
[task 2017-08-03T13:56:34.852711Z] 13:56:34     INFO -     r13 = 0x00007f93d9df5228   r14 = 0x00007f93d9df5180
[task 2017-08-03T13:56:34.852975Z] 13:56:34     INFO -     r15 = 0x00007f93d9df56bf   rip = 0x00007f93e214c1bc
[task 2017-08-03T13:56:34.853544Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.853784Z] 13:56:34     INFO - 12  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:099cfd49075f : 480 + 0x11]
[task 2017-08-03T13:56:34.854257Z] 13:56:34     INFO -     rbx = 0x00007f93dc385400   rbp = 0x00007f93d9df56d0
[task 2017-08-03T13:56:34.854635Z] 13:56:34     INFO -     rsp = 0x00007f93d9df56b0   r12 = 0x0000000000000001
[task 2017-08-03T13:56:34.855106Z] 13:56:34     INFO -     r13 = 0x00007f93dc29e2b4   r14 = 0x0000000000000001
[task 2017-08-03T13:56:34.855764Z] 13:56:34     INFO -     r15 = 0x0000000000000000   rip = 0x00007f93e2147db5
[task 2017-08-03T13:56:34.856159Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.856467Z] 13:56:34     INFO - 13  libxul.so!mozilla::net::nsSocketTransportService::Run [nsSocketTransportService2.cpp:099cfd49075f : 976 + 0x5]
[task 2017-08-03T13:56:34.856713Z] 13:56:34     INFO -     rbx = 0x00007f93dc29e1a0   rbp = 0x00007f93d9df57b0
[task 2017-08-03T13:56:34.857366Z] 13:56:34     INFO -     rsp = 0x00007f93d9df56e0   r12 = 0x00007f93d9df5770
[task 2017-08-03T13:56:34.857637Z] 13:56:34     INFO -     r13 = 0x00007f93dc29e2b4   r14 = 0x0000000000000001
[task 2017-08-03T13:56:34.858082Z] 13:56:34     INFO -     r15 = 0x0000000000000000   rip = 0x00007f93e21f4ecb
[task 2017-08-03T13:56:34.858572Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.859251Z] 13:56:34     INFO - 14  libxul.so!nsThread::ProcessNextEvent [nsThread.cpp:099cfd49075f : 1446 + 0x11]
[task 2017-08-03T13:56:34.859651Z] 13:56:34     INFO -     rbx = 0x00007f93dc385400   rbp = 0x00007f93d9df5d20
[task 2017-08-03T13:56:34.860036Z] 13:56:34     INFO -     rsp = 0x00007f93d9df57c0   r12 = 0x00007f93d9df5908
[task 2017-08-03T13:56:34.860504Z] 13:56:34     INFO -     r13 = 0x00007f93d9df58a8   r14 = 0x00007f93d9df5800
[task 2017-08-03T13:56:34.860896Z] 13:56:34     INFO -     r15 = 0x00007f93d9df5d3f   rip = 0x00007f93e214c1bc
[task 2017-08-03T13:56:34.861201Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.861868Z] 13:56:34     INFO - 15  libxul.so!NS_ProcessNextEvent [nsThreadUtils.cpp:099cfd49075f : 480 + 0x11]
[task 2017-08-03T13:56:34.862129Z] 13:56:34     INFO -     rbx = 0x00007f93dc385400   rbp = 0x00007f93d9df5d50
[task 2017-08-03T13:56:34.862534Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5d30   r12 = 0x0000000000000001
[task 2017-08-03T13:56:34.862802Z] 13:56:34     INFO -     r13 = 0x00007f93db6c1870   r14 = 0x00007f93dc385400
[task 2017-08-03T13:56:34.863478Z] 13:56:34     INFO -     r15 = 0x00007f93dc385400   rip = 0x00007f93e2147db5
[task 2017-08-03T13:56:34.863727Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.864383Z] 13:56:34     INFO - 16  libxul.so!mozilla::ipc::MessagePumpForNonMainThreads::Run [MessagePump.cpp:099cfd49075f : 369 + 0xd]
[task 2017-08-03T13:56:34.864674Z] 13:56:34     INFO -     rbx = 0x00007f93db6c1840   rbp = 0x00007f93d9df5dc0
[task 2017-08-03T13:56:34.865045Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5d60   r12 = 0x00007f93f29ad690
[task 2017-08-03T13:56:34.865524Z] 13:56:34     INFO -     r13 = 0x00007f93db6c1870   r14 = 0x00007f93dc385400
[task 2017-08-03T13:56:34.865987Z] 13:56:34     INFO -     r15 = 0x00007f93dc385400   rip = 0x00007f93e24fefe4
[task 2017-08-03T13:56:34.866314Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.866585Z] 13:56:34     INFO - 17  libxul.so!MessageLoop::RunInternal [message_loop.cc:099cfd49075f : 326 + 0x17]
[task 2017-08-03T13:56:34.866948Z] 13:56:34     INFO -     rbx = 0x00007f93f29ad690   rbp = 0x00007f93d9df5e00
[task 2017-08-03T13:56:34.867244Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5dd0   r12 = 0x00007f93f29ad690
[task 2017-08-03T13:56:34.867629Z] 13:56:34     INFO -     r13 = 0x00007f93d9df5e80   r14 = 0x00007f93f29ad690
[task 2017-08-03T13:56:34.867754Z] 13:56:34     INFO -     r15 = 0x00007f93dc385428   rip = 0x00007f93e24d5299
[task 2017-08-03T13:56:34.867972Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.868276Z] 13:56:34     INFO - 18  libxul.so!MessageLoop::Run [message_loop.cc:099cfd49075f : 319 + 0x8]
[task 2017-08-03T13:56:34.868511Z] 13:56:34     INFO -     rbx = 0x00007f93d9df5e18   rbp = 0x00007f93d9df5e40
[task 2017-08-03T13:56:34.868873Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5e10   r12 = 0x00007f93f29ad690
[task 2017-08-03T13:56:34.869185Z] 13:56:34     INFO -     r13 = 0x00007f93d9df5e80   r14 = 0x00007f93f29ad690
[task 2017-08-03T13:56:34.869398Z] 13:56:34     INFO -     r15 = 0x00007f93dc385428   rip = 0x00007f93e24d52c5
[task 2017-08-03T13:56:34.869861Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.869967Z] 13:56:34     INFO - 19  libxul.so!nsThread::ThreadFunc [nsThread.cpp:099cfd49075f : 506 + 0x8]
[task 2017-08-03T13:56:34.870193Z] 13:56:34     INFO -     rbx = 0x00007f93dc385400   rbp = 0x00007f93d9df5ec0
[task 2017-08-03T13:56:34.870452Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5e50   r12 = 0x00007f93d9df5e70
[task 2017-08-03T13:56:34.870809Z] 13:56:34     INFO -     r13 = 0x00007f93d9df5e80   r14 = 0x00007f93f29ad690
[task 2017-08-03T13:56:34.871090Z] 13:56:34     INFO -     r15 = 0x00007f93dc385428   rip = 0x00007f93e2147f83
[task 2017-08-03T13:56:34.871301Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.871796Z] 13:56:34     INFO - 20  libnspr4.so!_pt_root [ptthread.c:099cfd49075f : 216 + 0x7]
[task 2017-08-03T13:56:34.871901Z] 13:56:34     INFO -     rbx = 0x00007f93f29a2c80   rbp = 0x00007f93d9df5f10
[task 2017-08-03T13:56:34.872088Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5ed0   r12 = 0x0000000000000000
[task 2017-08-03T13:56:34.872327Z] 13:56:34     INFO -     r13 = 0x00000000000008b2   r14 = 0x00007f93d9df6700
[task 2017-08-03T13:56:34.872687Z] 13:56:34     INFO -     r15 = 0x00007f93d9df6670   rip = 0x00007f93f26eafc7
[task 2017-08-03T13:56:34.872960Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.873256Z] 13:56:34     INFO - 21  libpthread-2.23.so + 0x76ba
[task 2017-08-03T13:56:34.873713Z] 13:56:34     INFO -     rbx = 0x0000000000000000   rbp = 0x0000000000000000
[task 2017-08-03T13:56:34.873828Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5f20   r12 = 0x0000000000000000
[task 2017-08-03T13:56:34.874040Z] 13:56:34     INFO -     r13 = 0x00007fffb134811f   r14 = 0x00007f93d9df69c0
[task 2017-08-03T13:56:34.874515Z] 13:56:34     INFO -     r15 = 0x00007fffb13481b0   rip = 0x00007f93f3c796ba
[task 2017-08-03T13:56:34.874606Z] 13:56:34     INFO -     Found by: call frame info
[task 2017-08-03T13:56:34.875170Z] 13:56:34     INFO - 22  libc-2.23.so + 0x10682d
[task 2017-08-03T13:56:34.875290Z] 13:56:34     INFO -     rsp = 0x00007f93d9df5fc0   rip = 0x00007f93f2d0282d
[task 2017-08-03T13:56:34.875380Z] 13:56:34     INFO -     Found by: stack scanning
Component: DOM → Networking: HTTP
Flags: needinfo?(valentin.gosu)
After bug 1338493 landed, HttpChannelChild might be released on STS thread. Looks like we have some more member variables need to be released on main thread.
Assignee: nobody → schien
Flags: needinfo?(valentin.gosu)
Whiteboard: [necko-active][PBg-HTTP-M4]
Comment hidden (mozreview-request)
Summary: Intermittent /fetch/api/redirect/redirect-schemes.html | application crashed [@ MOZ_CrashOOL] → Intermittent /fetch/api/redirect/redirect-schemes.html,/XMLHttpRequest/send-redirect-bogus.htm | application crashed [@ MOZ_CrashOOL]

Comment 4

a year ago
7 failures in 888 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 4
* mozilla-inbound: 2
* mozilla-central: 1

Platform breakdown:
* linux64-stylo: 5
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1387285&startday=2017-07-31&endday=2017-08-06&tree=all
Comment hidden (mozreview-request)

Comment 6

a year ago
mozreview-review
Comment on attachment 8893748 [details]
Bug 1387285 - release more member variable in HttpChannelChild on main thread.

https://reviewboard.mozilla.org/r/164852/#review171172
Attachment #8893748 - Flags: review?(honzab.moz) → review+

Comment 7

a year ago
Pushed by schien@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/d785be88ccb4
release more member variable in HttpChannelChild on main thread. r=mayhemer

Comment 8

11 months ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/d785be88ccb4
Status: NEW → RESOLVED
Last Resolved: 11 months ago
status-firefox57: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla57
Please request Beta approval on this when you get a chance.
status-firefox55: --- → unaffected
status-firefox56: --- → affected
status-firefox-esr52: --- → unaffected
Flags: needinfo?(schien)
Comment on attachment 8893748 [details]
Bug 1387285 - release more member variable in HttpChannelChild on main thread.

Approval Request Comment
[Feature/Bug causing the regression]:bug 1338493
[User impact if declined]: might encounter content process crash
[Is this code covered by automated tests?]: yes
[Has the fix been verified in Nightly?]: yes
[Needs manual test from QE? If yes, steps to reproduce]: no
[List of other uplifts needed for the feature/fix]: no
[Is the change risky?]: low
[Why is the change risky/not risky?]: only do proxy release variables
[String changes made/needed]: no
Flags: needinfo?(schien)
Attachment #8893748 - Flags: approval-mozilla-beta?
Comment on attachment 8893748 [details]
Bug 1387285 - release more member variable in HttpChannelChild on main thread.

Crash fix, ok to uplift. This should land for beta 3.
Attachment #8893748 - Flags: approval-mozilla-beta? → approval-mozilla-beta+

Comment 12

11 months ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/6fa2ccf0f6ce
status-firefox56: affected → fixed

Comment 13

11 months ago
20 failures in 901 pushes (0.022 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 10
* mozilla-inbound: 9
* try: 1

Platform breakdown:
* linux64-stylo: 14
* linux32: 3
* linux64: 2
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1387285&startday=2017-08-07&endday=2017-08-13&tree=all
Duplicate of this bug: 1377627
You need to log in before you can comment on or make changes to this bug.